Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax
Class DocRefAuthor.Tools

    java.lang.Object
      org.biojavax.DocRefAuthor.Tools

Enclosing interface:
  DocRefAuthor

    public static class DocRefAuthor.Tools

extends Object

Useful tools for working with authors.

Method Summary
`static String` | `generateAuthorString(List authors, boolean useAnd)` Takes a set of authors and creates a comma-separated string.
`static List` | `parseAuthorString(String authors)` Takes a list of authors and returns a set of DocRefAuthor objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parseAuthorString

    public static List parseAuthorString(String authors)

  Takes a list of authors and returns a set of DocRefAuthor objects.

  Parameters:
    `authors` - a comma-separated list of authors
  Returns:
    set of DocRefAuthor objects.

### generateAuthorString

    public static String generateAuthorString(List authors,
                                              boolean useAnd)

  Takes a set of authors and creates a comma-separated string. For the final comma, it replaces it with the word "and".

  Parameters:
    `authors` - set of authors
    `useAnd` - whether or not to do the and thing, otherwise use all commas.
  Returns:
    a comma-separated string with the word "and" in place of the final comma.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD